# Jest reporter action

This action comments a pull request with a HTML test coverage report.

The report is based on the lcov coverage report generated by your test runner.

Note that this action does not run any tests, but instead expects the tests to have been run
by another action already.

## Inputs

##### `github-token` (**Required**)
Github token used for posting the comment. To use the key provided by the GitHub
action runner, use `${{ secrets.GITHUB_TOKEN }}`.

##### `lcov-file` (**Optional**)
The location of the lcov file to read the coverage report from. Defaults to
`./coverage/lcov.info`.

##### `lcov-base` (**Optional**)
The location of the lcov file resulting from running the tests in the base
branch. When this is set a diff of the coverage percentages is shown.

## Example usage

```yml
uses: vebr/jest-lcov-reporter@0.2.0
with:
  github-token: ${{ secrets.GITHUB_TOKEN }}
  lcov-file: ./coverage/lcov.info
```

## Acknowledgements

The initial code is based on [ziishaned/jest-reporter-action](https://github.com/ziishaned/jest-reporter-action).
